﻿using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Add : Command, ISubCommandOf<MycroForge>
    {
        public Add(IEnumerable<ISubCommandOf<Add>> commands) :
            base("add", "Add features to the project")
        {
            foreach (var command in commands.Cast<Command>())
                AddCommand(command);
        }
    }
}