using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Db
    {
        public partial class Generate : Command, ISubCommandOf<Db>
        {
            public Generate(IEnumerable<ISubCommandOf<Generate>> commands) :
                base("generate", "Generate a database item")
            {
                AddAlias("g");
                foreach (var command in commands.Cast<Command>())
                    AddCommand(command);
            }
        }
    }
}