using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Db
    {
        public partial class Link : Command, ISubCommandOf<Db>
        {
            public Link(IEnumerable<ISubCommandOf<Link>> commands) :
                base("link", "Define relationships between entities")
            {
                foreach (var command in commands.Cast<Command>())
                    AddCommand(command);
            }
        }
    }
}