﻿using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Plugin : Command, ISubCommandOf<MycroForge>
    {
        public Plugin(IEnumerable<ISubCommandOf<Plugin>> commands) : 
            base("plugin", "Plugin related commands")
        {
            AddAlias("p");
            foreach (var command in commands.Cast<Command>())
                AddCommand(command);
        }
    }
}