﻿using MycroForge.CLI.Extensions;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using RootCommand = MycroForge.CLI.Commands.MycroForge;

using var host = Host
    .CreateDefaultBuilder()
    .ConfigureServices((_, services) =>
    {
        services
            .RegisterDefaultCommands()
            .RegisterCommandPlugins()
            ;
    })
    .Build();

var command = host.Services.GetRequiredService<RootCommand>();
await command.ExecuteAsync(args.Length == 0 ? ["--help"] : args);
