using System.CommandLine;
using MycroForge.CLI.Commands.Attributes;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    [RequiresFeature(Features.Api.FeatureName)]
    public partial class Api : Command, ISubCommandOf<MycroForge>
    {
        public Api(IEnumerable<ISubCommandOf<Api>> commands) : 
            base("api", "API related commands")
        {
            foreach (var command in commands)
                AddCommand((command as Command)!);
        }
    }
}