﻿using System.CommandLine;
using MycroForge.Core.Contract;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Generate : Command, ISubCommandOf<MycroForge>
    {
        public Generate(IEnumerable<ISubCommandOf<Generate>> commands)
            : base("generate", "Generate common items")
        {
            AddAlias("g");
            foreach (var command in commands.Cast<Command>())
                AddCommand(command);
        }
    }
}