using MycroForge.Core;

namespace MycroForge.CLI.Features;

public class Git : IFeature
{
    public const string FeatureName = "git";
    public string Name => FeatureName;

    public async Task ExecuteAsync(ProjectContext context)
    {
        await context.Bash($"git -c init.defaultBranch=main init {context.RootDirectory}");
    }
}