﻿using Microsoft.Extensions.DependencyInjection;
using MycroForge.Core.Contract;
using RootCommand = MycroForge.Core.RootCommand;

namespace MycroForge.PluginTemplate;

public class HelloWorldCommandPlugin : ICommandPlugin
{
    public string Name => "MycroForge.PluginTemplate";

    public void RegisterServices(IServiceCollection services)   
    {
        services.AddScoped<ISubCommandOf<RootCommand>, HelloWorldCommand>();
    }
}